/* Core of picomath: generates an instance */
import picomathInstance from './picomathInstance.js'
import createNumbers from './number/all.js'
import createComplex from './complex/all.js'

const math = picomathInstance('math')
createNumbers(math)
createComplex(math)

export default math
